org.springframework.ldap.core

## Class DnParserImpl

- java.lang.Object
- - org.springframework.ldap.core.DnParserImpl

- All Implemented Interfaces:
    DnParser, DnParserImplConstants

      public class DnParserImpl
      extends Object
      implements DnParser, DnParserImplConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Token` | `jj_nt` Next token.
    `Token` | `token` Current token.
    `DnParserImplTokenManager` | `token_source` Generated Token Manager.

    - ### Fields inherited from interface org.springframework.ldap.core.DnParserImplConstants

      `ALPHA, ATTRIBUTE_TYPE_STRING, ATTRVALUE, ATTRVALUE_S, BACKSLASHCHAR, DEFAULT, DIGIT, EOF, ESCAPEDSTART, HASHCHAR, HEXCHAR, HEXPAIR, LDAP_OID, LEADCHAR, PAIR, QUOTECHAR, SPACE, SPACED_EQUALS, SPACED_EQUALS_S, SPECIAL, STRINGCHAR, tokenImage, TRAILCHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DnParserImpl(DnParserImplTokenManager tm)` Constructor with generated Token Manager.
    `DnParserImpl(InputStream stream)` Constructor with InputStream.
    `DnParserImpl(InputStream stream, String encoding)` Constructor with InputStream and supplied encoding
    `DnParserImpl(Reader stream)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `AttributeType()`
    `LdapRdnComponent` | `attributeTypeAndValue()`
    `String` | `AttributeValue()`
    `void` | `disable_tracing()` Disable tracing.
    `DistinguishedName` | `dn()` Parse a full Distinguished Name.
    `void` | `enable_tracing()` Enable tracing.
    `ParseException` | `generateParseException()` Generate ParseException.
    `Token` | `getNextToken()` Get the next Token.
    `Token` | `getToken(int index)` Get the specific Token.
    `void` | `input()` input -> dn dn -> rdn ( ( "," | ";" ) rdn )* rdn -> attributeTypeAndValue ( "+" attributeTypeAndValue )* attributeTypeAndValue -> ( <SPACE> )* AttributeType SpacedEquals AttributeValue ( <SPACE> )* SpacedEquals -> <SPACED_EQUALS> AttributeType -> <LDAP_OID> | <ATTRIBUTE_TYPE_STRING> AttributeValue -> <ATTRVALUE>
    `LdapRdn` | `rdn()` Parse a Relative Distinguished Name.
    `void` | `ReInit(DnParserImplTokenManager tm)` Reinitialise.
    `void` | `ReInit(InputStream stream)` Reinitialise.
    `void` | `ReInit(InputStream stream, String encoding)` Reinitialise.
    `void` | `ReInit(Reader stream)` Reinitialise.
    `void` | `SpacedEquals()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### token_source

          public DnParserImplTokenManager token_source

      Generated Token Manager.

    - #### token

          public Token token

      Current token.

    - #### jj_nt

          public Token jj_nt

      Next token.

  - ### Constructor Detail

    - #### DnParserImpl

          public DnParserImpl(InputStream stream)

      Constructor with InputStream.

    - #### DnParserImpl

          public DnParserImpl(InputStream stream,
                              String encoding)

      Constructor with InputStream and supplied encoding

    - #### DnParserImpl

          public DnParserImpl(Reader stream)

      Constructor.

    - #### DnParserImpl

          public DnParserImpl(DnParserImplTokenManager tm)

      Constructor with generated Token Manager.

  - ### Method Detail

    - #### input

          public final void input()
                           throws ParseException

      input -> dn dn -> rdn ( ( "," | ";" ) rdn )* rdn -> attributeTypeAndValue ( "+" attributeTypeAndValue )* attributeTypeAndValue -> ( <SPACE> )* AttributeType SpacedEquals AttributeValue ( <SPACE> )* SpacedEquals -> <SPACED_EQUALS> AttributeType -> <LDAP_OID> | <ATTRIBUTE_TYPE_STRING> AttributeValue -> <ATTRVALUE>
      Throws:
        `ParseException`

    - #### dn

          public final DistinguishedName dn()
                                     throws ParseException

      Description copied from interface: `DnParser`
      Parse a full Distinguished Name.
      Specified by:
        `dn` in interface `DnParser`
      Returns:
        the `DistinguishedName` corresponding to the parsed stream.
      Throws:
        `ParseException`

    - #### rdn

          public final LdapRdn rdn()
                            throws ParseException

      Description copied from interface: `DnParser`
      Parse a Relative Distinguished Name.
      Specified by:
        `rdn` in interface `DnParser`
      Returns:
        the next rdn on the stream.
      Throws:
        `ParseException`

    - #### attributeTypeAndValue

          public final LdapRdnComponent attributeTypeAndValue()
                                                       throws ParseException

      Throws:
        `ParseException`

    - #### SpacedEquals

          public final void SpacedEquals()
                                  throws ParseException

      Throws:
        `ParseException`

    - #### AttributeType

          public final String AttributeType()
                                     throws ParseException

      Throws:
        `ParseException`

    - #### AttributeValue

          public final String AttributeValue()
                                      throws ParseException

      Throws:
        `ParseException`

    - #### ReInit

          public void ReInit(InputStream stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(InputStream stream,
                             String encoding)

      Reinitialise.

    - #### ReInit

          public void ReInit(Reader stream)

      Reinitialise.

    - #### ReInit

          public void ReInit(DnParserImplTokenManager tm)

      Reinitialise.

    - #### getNextToken

          public final Token getNextToken()

      Get the next Token.

    - #### getToken

          public final Token getToken(int index)

      Get the specific Token.

    - #### generateParseException

          public ParseException generateParseException()

      Generate ParseException.

    - #### enable_tracing

          public final void enable_tracing()

      Enable tracing.

    - #### disable_tracing

          public final void disable_tracing()

      Disable tracing.